## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TopLevelArg Class Reference

This class holds an instance of an argument on the stack. More...

`#include <TopLevelArg.hpp>`

Collaboration diagram for TopLevelArg:

List of all members.

## Public Methods

- TopLevelArg ( const XalanQName& name, const XalanDOMString& expr)
    Construct an argument object from a string expression. More...
- TopLevelArg ( const XalanQName& name = XalanQNameByValue(), const XObjectPtr variable = XObjectPtr())
    Construct an argument object from an XObject instance. More...
- TopLevelArg (const TopLevelArg& theSource)
    Copy constructor. More...
- ~TopLevelArg ()
    Destructor.
- const XalanQName& getName () const
    Retrieve object name. More...
- const XalanDOMString& getExpression () const
    Retrieve object's expression. More...
- const XObjectPtr getXObject () const
    Retrieve object's XObject variable. More...
- TopLevelArg& operator= (const TopLevelArg& theRHS)
    Assignment operator.

## Detailed Description

This class holds an instance of an argument on the stack.

## Constructor & Destructor Documentation

TopLevelArg::TopLevelArg ( | const XalanQName & name,
| const XalanDOMString & expr )

Construct an argument object from a string expression.

Parameters:

  name | name of argument
  expr | expression argument represents

TopLevelArg::TopLevelArg ( | const XalanQName & name = XalanQNameByValue(),
| const XObjectPtr variable = XObjectPtr() )

Construct an argument object from an XObject instance.

Parameters:

  name | name of argument
  variable | the XObject instance.

TopLevelArg::TopLevelArg ( | const TopLevelArg & theSource )

Copy constructor.

Parameters:

  theSource | the TopLevelArg to copy.

TopLevelArg::~TopLevelArg ( | )

Destructor.

## Member Function Documentation

const XalanDOMString & TopLevelArg::getExpression ( | ) const`[]`

Retrieve object's expression.

Returns:
  string representation of expression

const XalanQName & TopLevelArg::getName ( | ) const`[]`

Retrieve object name.

Returns:
  qualified name of object

const XObjectPtr TopLevelArg::getXObject ( | ) const`[]`

Retrieve object's XObject variable.

Returns:
  pointer to the XObject instance

TopLevelArg & TopLevelArg::operator= ( | const TopLevelArg & theRHS )`[]`

Assignment operator.

The documentation for this class was generated from the following file:

- TopLevelArg.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.